--- src/Lib/Network/Address.hpp 2008-01-08 10:17:45 UTC (rev 1022)
+++ src/Lib/Network/Address.hpp 2008-01-08 11:12:10 UTC (rev 1023)
@@ -46,7 +46,14 @@
     bool operator==(const Address& other) const;
 
     struct sockaddr * getSockaddr() const { return (struct sockaddr *)&ss; };
-    socklen_t getSockaddrLen() const { return ss_len; };
+    socklen_t getSockaddrLen() const
+    {
+#ifdef __APPLE__
+        return sizeof(sockaddr_in); 
+#else
+        return ss_len;
+#endif
+    };
     socklen_t * getSockaddrLenPointer() { return &ss_len; };
     
     static Address ANY;

